Loading...
Searching...
No Matches
GridData Struct Reference

Struct with all the member data of the Grid (useful during serialization of an openvdb grid). More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for GridData:

## Public Member Functions

void | setFlagsOff ()
void | setMinMaxOn (bool on=true)
void | setBBoxOn (bool on=true)
void | setLongGridNameOn (bool on=true)
void | setAverageOn (bool on=true)
void | setStdDeviationOn (bool on=true)
void | setBreadthFirstOn (bool on=true)
template<typename Vec3T>
Vec3T | applyMap (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseMap (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyJacobian (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseJacobian (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyIJT (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyMapF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseMapF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyJacobianF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyInverseJacobianF (const Vec3T &xyz) const
template<typename Vec3T>
Vec3T | applyIJTF (const Vec3T &xyz) const
void * | treePtr ()
const void * | treePtr () const
const GridBlindMetaData * | blindMetaData (uint32_t n) const
| Returns a const reference to the blindMetaData at the specified linear offset.

## Public Attributes

uint64_t | mMagic
uint64_t | mChecksum
Version | mVersion
uint32_t | mFlags
uint32_t | mGridIndex
uint32_t | mGridCount
uint64_t | mGridSize
char | mGridName [MaxNameSize]
Map | mMap
BBox< Vec3R > | mWorldBBox
Vec3R | mVoxelSize
GridClass | mGridClass
GridType | mGridType
int64_t | mBlindMetadataOffset
uint32_t | mBlindMetadataCount
uint32_t | mData0
uint64_t | mData1
uint64_t | mData2

## Static Public Attributes

static const int | MaxNameSize = 256

## Detailed Description

Struct with all the member data of the Grid (useful during serialization of an openvdb grid).

Note
  The transform is assumed to be affine (so linear) and have uniform scale! So frustum transforms and non-uniform scaling are not supported (primarily because they complicate ray-tracing in index space)
  No client code should (or can) interface with this struct so it can safely be ignored!

## Member Function Documentation

## applyIJT()

template<typename Vec3T>

Vec3T applyIJT | ( | const Vec3T & | xyz | ) | const

inline

## applyIJTF()

template<typename Vec3T>

Vec3T applyIJTF | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseJacobian()

template<typename Vec3T>

Vec3T applyInverseJacobian | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseJacobianF()

template<typename Vec3T>

Vec3T applyInverseJacobianF | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseMap()

template<typename Vec3T>

Vec3T applyInverseMap | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseMapF()

template<typename Vec3T>

Vec3T applyInverseMapF | ( | const Vec3T & | xyz | ) | const

inline

## applyJacobian()

template<typename Vec3T>

Vec3T applyJacobian | ( | const Vec3T & | xyz | ) | const

inline

## applyJacobianF()

template<typename Vec3T>

Vec3T applyJacobianF | ( | const Vec3T & | xyz | ) | const

inline

## applyMap()

template<typename Vec3T>

Vec3T applyMap | ( | const Vec3T & | xyz | ) | const

inline

## applyMapF()

template<typename Vec3T>

Vec3T applyMapF | ( | const Vec3T & | xyz | ) | const

inline

## blindMetaData()

const GridBlindMetaData * blindMetaData | ( | uint32_t | n | ) | const

inline

Returns a const reference to the blindMetaData at the specified linear offset.

Warning
  The linear offset is assumed to be in the valid range

## setAverageOn()

void setAverageOn | ( | bool | on = true | ) |

inline

## setBBoxOn()

void setBBoxOn | ( | bool | on = true | ) |

inline

## setBreadthFirstOn()

void setBreadthFirstOn | ( | bool | on = true | ) |

inline

## setFlagsOff()

void setFlagsOff | ( |  | ) |

inline

## setLongGridNameOn()

void setLongGridNameOn | ( | bool | on = true | ) |

inline

## setMinMaxOn()

void setMinMaxOn | ( | bool | on = true | ) |

inline

## setStdDeviationOn()

void setStdDeviationOn | ( | bool | on = true | ) |

inline

## treePtr() [1/2]

void * treePtr | ( |  | ) |

inline

## treePtr() [2/2]

const void * treePtr | ( |  | ) | const

inline

## Member Data Documentation

## MaxNameSize

const int MaxNameSize = 256

static

## mBlindMetadataCount

uint32_t mBlindMetadataCount

## mBlindMetadataOffset

int64_t mBlindMetadataOffset

## mChecksum

uint64_t mChecksum

## mData0

uint32_t mData0

## mData1

uint64_t mData1

## mData2

uint64_t mData2

## mFlags

uint32_t mFlags

## mGridClass

GridClass mGridClass

## mGridCount

uint32_t mGridCount

## mGridIndex

uint32_t mGridIndex

## mGridName

char mGridName[MaxNameSize]

## mGridSize

uint64_t mGridSize

## mGridType

GridType mGridType

## mMagic

uint64_t mMagic

## mMap

Map mMap

## mVersion

Version mVersion

## mVoxelSize

Vec3R mVoxelSize

## mWorldBBox

BBox<Vec3R> mWorldBBox